/**********************************************************************************************

  Screen Manager Button Class

  The following class can handle:
	+ Location X,Y
	+ Last and Current Value to display
	+ Reports if the coordinates are within this button
	
  This class is used for holding information about an button's current state.

  AndyMark Inc.
  Rick Pease
  Nov. 2014

***********************************************************************************************/

#include "SMButton.h"

SMButton::SMButton(){
		y = 0;
		x = 0;
		value = "--";
		last = value;
		width = value.length();
		height = 20;
		color = 0xFF9A;
		backColor = 0x2945;
}

SMButton& SMButton::operator=(String next){  
		last = value;
		value = next;  
		width = value.length();
		return *this;
} 

 SMButton& SMButton::operator=(SMButton *now){  
		last = now->get();
		value = last;  
		width = value.length();
		height = 20;
		color = now->getFontColor();
		backColor = now->getBackColor();
		y = now->getY();
		x = now->getX();
		return *this;
}  

SMButton& SMButton::operator=(int next){  
		last = value;
		value = String(next);  
		width = value.length();
		return *this;
}  




void SMButton::setXY(int X, int Y){
		 y = Y;
		 x = X; 
}

void SMButton::setValue(String text){
		last = value;
		value = text;  
		width = last.length();

}
void SMButton::setFontColor(int clr){
	color = clr;
}

void SMButton::setBackColor(int clr){
	backColor = clr;
}

String SMButton::get(){
	return value;
}

int SMButton::getX(){
	return x;
}
int SMButton::getY(){
	return y;
}

int SMButton::getBackColor(){
	return backColor;
}

bool SMButton::isNew(){
	return (value != last);
}

bool SMButton::isMatched(int coor_x, int coor_y){
	
	return (((coor_x > x ) && (coor_x < (x+getWidth()+15))) && ((coor_y > y ) && (coor_y < (y+getHeight()))));
	
}

int SMButton::getWidth(){
	return width*18;//24 ;
}

int SMButton::getHeight(){
	return height+12;
}

int SMButton::getFontColor(){
	return color;
}

