/**********************************************************************************************

  Screen Manager Button Class

  The following class can handle:
	+ Location X,Y
	+ Last and Current Value to display
	+ Reports if the coordinates are within this button
	
  This class is used for holding information about an button's current state.

  AndyMark Inc.
  Rick Pease
  Nov. 2014

***********************************************************************************************/

#include "Arduino.h"

class SMButton{
	int y; // Top Left Corner
	int x;
	int width;
	int height;
	int color;
	int backColor;
	
	String value;
	String last;


	public:
		SMButton();
		SMButton& operator=(String next);
		SMButton& operator=(SMButton *now);
		SMButton& operator=(int next);
	
	void	begin(void),
		setXY(int X, int Y),
		setValue(String text),
		setFontColor(int clr),
		setBackColor(int clr);
		
		
	String	get(void);
	int 	getX();
	int 	getY();
	bool 	isNew(),
			isMatched(int coor_x, int coor_y);
	int 	getWidth();
	int 	getHeight();
	int		getFontColor();
	int 	getBackColor();
};
