/**********************************************************************************************

  Screen Manager Indicator Class

  The following class can handle:
	+ Location X,Y
	+ Last and Current Value to display
	
  This class is used for holding information about an indicator's current state.

  AndyMark Inc.
  Rick Pease
  Nov. 2014

***********************************************************************************************/

#include "SMIndicator.h"

SMIndicator::SMIndicator(){
		y = 0;
		x = 0;
		value = "-";
		last = value;
		width = value.length();
		color = 0xFF9A;
		onScreen = false;
}

SMIndicator& SMIndicator::operator=(String next){  
		last = value;
		value = next;  
		width = last.length();
		onScreen = (value == last)&&(onScreen);
		return *this;
} 
 
SMIndicator& SMIndicator::operator=(int next){  
		last = value;
		value = String(next);  
		width = last.length();
		onScreen = (value == last)&&(onScreen);
		return *this;
}  

void SMIndicator::setXY(int X, int Y){
		 y = Y;
		 x = X; 
}

void SMIndicator::setValue(String text){
		last = value;
		value = text;  
		width = last.length();
		onScreen = (value == last)&&(onScreen);
}
void SMIndicator::setFontColor(int clr){
	color = clr;
}


String SMIndicator::get(){
	return value;
}

int SMIndicator::getX(){
	return x;
}
int SMIndicator::getY(){
	return y;
}

int SMIndicator::getFontColor(){
	onScreen = true;
	return color;
}

bool SMIndicator::isNew(){
	return (value != last)||(!onScreen);
}

int SMIndicator::getWidth(){
	return width*24;
}