/**********************************************************
	Screen Manager Indicator Class
		Class that holds information about
		an indicator's location on the screen
		along with other characteristics of 
		the specific indicator.	

***********************************************************/


#include "SMSlider.h"

SMSlider::SMSlider(){
		y = 0;
		x = 0;
		value = "--";
		last = value;
		width = value.length();
		height = 20;
		color = 0xFF9A;
		backColor = 0x2945;
}

SMSlider& SMSlider::operator=(String next){  
		last = value;
		value = next;  
		width = value.length();
		return *this;
} 

 SMSlider& SMSlider::operator=(SMSlider *now){  
		last = now->get();
		value = last;  
		width = value.length();
		height = 20;
		color = now->getFontColor();
		backColor = now->getBackColor();
		y = now->getY();
		x = now->getX();
		return *this;
}  

SMSlider& SMSlider::operator=(int next){  
		last = value;
		value = String(next);  
		width = value.length();
		return *this;
}  




void SMSlider::setXY(int X, int Y){
		 y = Y;
		 x = X; 
}

void SMSlider::setValue(String text){
		last = value;
		value = text;  
		width = last.length();

}
void SMSlider::setFontColor(int clr){
	color = clr;
}

void SMSlider::setBackColor(int clr){
	backColor = clr;
}

String SMSlider::get(){
	return value;
}

int SMSlider::getX(){
	return x;
}
int SMSlider::getY(){
	return y;
}

int SMSlider::getBackColor(){
	return backColor;
}

bool SMSlider::isNew(){
	return (value != last);
}

bool SMSlider::isMatched(int coor_x, int coor_y){
	
	return (((coor_x > x ) && (coor_x < (x+getWidth()+15))) && ((coor_y > y ) && (coor_y < (y+getHeight()))));
	
}

int SMSlider::getWidth(){
	return width*18;//24 ;
}

int SMSlider::getHeight(){
	return height+12;
}

int SMSlider::getFontColor(){
	return color;
}

