/**********************************************************************************************

  Screen Manager Indicator Class

  The following class can handle:
	+ Location X,Y
	+ Last and Current Value to display
	
  This class is used for holding information about an indicator's current state.

  AndyMark Inc.
  Rick Pease
  Nov. 2014

***********************************************************************************************/

#include "Arduino.h"



class SMSlider{
	int y; // Top Left Corner
	int x;
	int width;
	int height;
	int color;
	int backColor;
	
	String value;
	String last;


	public:
		SMSlider();
		SMSlider& operator=(String next);
		SMSlider& operator=(SMSlider *now);
		SMSlider& operator=(int next);
	
	void	begin(void),
		setXY(int X, int Y),
		setValue(String text),
		setFontColor(int clr),
		setBackColor(int clr);
		
		
	String	get(void);
	int 	getX();
	int 	getY();
	bool 	isNew(),
			isMatched(int coor_x, int coor_y);
	int 	getWidth();
	int 	getHeight();
	int		getFontColor();
	int 	getBackColor();
};

