/**********************************************************************************************

  Screen Manager Class

  The following class can handle:
	+ Adafruit_ILI9341
	+ Adafruit_STMPE610
    + SMIndicators
    + SMButtons
	+ Strings
	
  This class is used for tracking indicator/button locataions, updating indicator/buttons, and
  identifying which button was last pressed.

  AndyMark Inc.
  Rick Pease
  Nov. 2014

***********************************************************************************************/

//#define 
#include <Arduino.h>
#include <Adafruit_ILI9341.h>

#include <SMIndicator.h>
#include <SMButton.h>

#define CHAR_HEIGHT 26 
#define CHAR_WIDTH 24


class ScreenManager{
	int current_x;
	int current_y;
	SMIndicator* head;
	SMIndicator* tail;
	SMButton*	b_head;
	SMButton*	b_tail;
	
	int lastButton;
	
	
	int BACK_COLOR;
	int FONT_COLOR;
	
	public:
		ScreenManager();

	void	begin(SMIndicator* i_start, SMIndicator* i_end, SMButton* b_start, SMButton* b_end),
			
			print(String text, SMIndicator &now),
			println(String text, SMIndicator &now),
			println(String text),
			print(char* text, SMIndicator &now),
			println(char* text, SMIndicator &now),
			println(char* text),			
			println(void),
			
			print(String text, SMButton &now),
			println(SMButton &now),
			println(char* text, SMButton &now),
			placeButton(SMButton &now),
			clickButton(SMButton *now, int color),
			changeButtonBackground(SMButton *now, int color),
			
			setBackColor(int color),
			setFontColor(int color),
			
			update(SMIndicator &now),
			update(SMIndicator *now),
			fancyUpdate(void);
			
	String	whichButton(void);
	
	int getBackColor(),
		getFontColor(),
		getLastButton();
	
};

